Skip to main content
GET
List messages of a prompt version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

promptVersionId
string<uuid>
required

Response

Messages of the version.

id
string<uuid>
required
promptVersionId
string<uuid>
required
role
enum<string>
required
Available options:
user,
assistant,
system,
function
index
integer
required

Position of the message inside the version. The prompt is read from index 0.

createdBy
string
required
updatedBy
string
required
content
string | null

Plain-text prompt content. May use {{variable}} placeholders.

markdownContent
string | null
createdAt
string<date-time> | null
updatedAt
string<date-time> | null
deletedAt
string<date-time> | null